[Linux] .deb installieren klappt nicht

Dieses Thema im Forum "Linux & BSD" wurde erstellt von darkside2k4, 11. Januar 2008 .

Schlagworte:
  1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  1. #1 11. Januar 2008
    .deb installieren klappt nicht

    So ich ein Debian System nur Konsole kein X-Server etc.
    So ich hab mir ein .deb runter geladen. Nun wollte ich das mit dpkg -i installieren, doch dann kommt das es halt von einigen Sachen abhänig ist, doch die sind schon da nur in einer älterne Version. So wie bekomme ich das jetzt installiert so das er die erfordlichen Sachen Updatet?
     

  2. Anzeige
    Dealz: stark reduzierte Angebote finden.
  3. #2 11. Januar 2008
    AW: .deb installieren klappt nicht

    Hi darkside2k4,

    also erstmal musst du rausfinden, wie die veralteten Dinge heißen.
    Anschließend kannst du mittels apt neuere versionen installieren.
    Danach sollte es funktionieren.

    Aber du hast uns bisher wenig Informationen gegeben, daher poste doch am besten mal die Meldung die du bekommen hast hier, dann kann ich dir eher helfen.

    Hat der PC einen Zugang zum Internet? Dann wäre es extrem einfach

    Also poste bitte noch ein paar Infos ;)
     
  4. #3 11. Januar 2008
    AW: .deb installieren klappt nicht

    so das kommmt:
    Code:
    tunix:/mnt/raid1# dpkg -i ctorrent_1.3.4-dnh3.2-1_i386.deb
    (Lese Datenbank ... 26410 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereiten zum Ersetzen von ctorrent 1.3.4-dnh3.2-1 (durch ctorrent_1.3.4-dnh3.2-1_i386.deb) ...
    Entpacke Ersatz für ctorrent ...
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von ctorrent:
     ctorrent hängt ab von libc6 (>= 2.6-1); aber:
     Version von libc6 auf dem System ist 2.3.6.ds1-13etch4.
     ctorrent hängt ab von libgcc1 (>= 1:4.2-20070516); aber:
     Version von libgcc1 auf dem System ist 1:4.1.1-21.
     ctorrent hängt ab von libssl0.9.8 (>= 0.9.8e-1); aber:
     Version von libssl0.9.8 auf dem System ist 0.9.8c-4.
     ctorrent hängt ab von libstdc++6 (>= 4.2-20070516); aber:
     Version von libstdc++6 auf dem System ist 4.1.1-21.
    dpkg: Fehler beim Bearbeiten von ctorrent (--install):
     Abhängigkeitsprobleme - lasse es unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
     ctorrent
    Muss ich dann wirklich jedes Paket von Hand Updaten kann man das nicht einfacher machen mit eine Parameter so das er einfach automatisch die neuste Version lädt?
    Der Rechner kann ins internet.
     
  5. #4 11. Januar 2008
    AW: .deb installieren klappt nicht

    Bei Debian Lenny zumindest ist ctorrent in den Repos...
    Code:
    apt-get install ctorrent
    würde es also auch tun.

    Wenn du genau das ctorrent aus dem .deb Paktet haben willst, musst du dir die Libs (meines Wissens) manuell besorgen, weil nur die älteren Versionen in den Repos sind.

    mfg
     
  6. #5 11. Januar 2008
    AW: .deb installieren klappt nicht

    mit "apt-get install ctorrent" geht es auch nicht, weil da kommt das gleiche.
    Naja dann muss ich wohl alle per Hand installieren, ist ja zimlicher mist.

    Wie find ich denn herraus, wie die neuen Paket heisen, damit ich die dann Updaten kann?
     
  7. #6 12. Januar 2008
    AW: .deb installieren klappt nicht

    hast du schon mal probiert

    apt get "name des packets" update

    weis nicht müsste das nicht auch gehen!

    bye gb97
     
  8. #7 12. Januar 2008
    AW: .deb installieren klappt nicht

    Also ich würde an deiner Stelle folgendermaßen vorgehen:

    1. Die neuen Pakete Suchen mit "apt-cache search libc6" das selbe dann noch mit libgcc1, libssl0.9.8, libstdc++6 dann bekommst du angezeigt, welche versionen es gibt und kannst diese mittels "apt-get install paketname" installieren.

    2. Nun ctorrent installieren und da nun die aktuellen Pakete, welche benötigen drauf sind, müsste die Installation nun durch gehen.

    Falls apt bei dir nicht geht, kannst du auf http://www.debian.de/distrib/packages etwas weiter unten auf der Seite die Pakete die du benötigst suchen, runterladen, irgendwie auf den PC kopieren und dann offline installieren.
     

  9. Videos zum Thema
Die Seite wird geladen...
Similar Threads - Linux deb installieren
  1. Antworten:
    7
    Aufrufe:
    1.204
  2. Antworten:
    4
    Aufrufe:
    479
  3. Debian Linux Installieren??

    HiGh-FlY , 2. Februar 2007 , im Forum: Linux & BSD
    Antworten:
    4
    Aufrufe:
    809
  4. Antworten:
    5
    Aufrufe:
    2.548
  5. Antworten:
    18
    Aufrufe:
    2.585